sailpoint.object

## Enum Filter.MatchMode

- java.lang.Object
- - java.lang.Enum<Filter.MatchMode>
  - - sailpoint.object.Filter.MatchMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Filter.MatchMode>

Enclosing class:
  Filter

    public static enum Filter.MatchMode
    extends java.lang.Enum<Filter.MatchMode>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ANYWHERE`
`END`
`EXACT`
`START`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract java.lang.String` `toMatchString(java.lang.String var1, java.lang.String var2)`
`static Filter.MatchMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Filter.MatchMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ANYWHERE

    public static final Filter.MatchMode ANYWHERE

#### START

    public static final Filter.MatchMode START

#### END

    public static final Filter.MatchMode END

#### EXACT

    public static final Filter.MatchMode EXACT

### Method Detail

#### values

    public static Filter.MatchMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Filter.MatchMode c : Filter.MatchMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Filter.MatchMode valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toMatchString

    public abstract java.lang.String toMatchString(java.lang.String var1,
                                                   java.lang.String var2)